package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum OrderAuditStateEnum {
	/**
	 * 审核状态: 1_待审核；2_审核中；3_审核通过：4_审核驳回；5_审核取消；
	 */
	WAITING_AUDIT(1, "待审核"),
	AUDITING(2, "审核中"),
	AUDIT_SUCCESS(3, "审核成功"),
	AUDIT_REJECTED(4, "审核驳回"),
	AUDIT_CANCEL(5, "审核取消");

	@EnumValue
	private final int type;

	private final String message;
}
